package controllers

import (
	"github.com/astaxie/beego"
	"github.com/usual2970/util/service/components"
	"fmt"
)

type ChatController struct {
	beego.Controller
}
var hub *components.Hub

func (c *ChatController) Index() {
	fmt.Println(hub)
	components.ServeWs(hub, c.Ctx.ResponseWriter, c.Ctx.Request)
}



func init(){
	hub = components.NewHub()
	go hub.Run()
}
